package com.nivesh.production.niveshfd.fd.interfaces

interface IPreferenceHelper {

    fun getLoginPasswordHash(): String
    fun setLoginPasswordHash(appName: String)

    fun getUserUid(): Int
    fun setUserUid(appName: Int)

    fun getLoginRole(): Int
    fun setLoginRole(appName: Int)

    fun getSubBrokerID(): String
    fun setSubBrokerID(appName: String)

    fun getClientUmsID(): String
    fun setClientUmsID(appName: String)

    fun getClientCode(): String
    fun setClientCode(appName: String)

    fun setToken(appName: String)
    fun getToken(): String

    fun setLanguage(appName: String)
    fun getLanguage(): String

    fun setIsFirstTime(appName: Boolean)
    fun getFirstTime(): Boolean

    fun clearPrefs()
    fun getAppId(): String
}